Package uk.ac.starlink.ecsv

# Enum Class MessagePolicy

java.lang.Object
java.lang.Enum<MessagePolicy>
uk.ac.starlink.ecsv.MessagePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<MessagePolicy>`, `Constable`

public enum MessagePolicy extends Enum<MessagePolicy>
Defines how to deliver a message to the user.

Since:
  16 Dec 2020
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL`
Throws an IOException.
`IGNORE`
Does nothing.
`WARN`
Logs through logging system as a WARNING.

## Method Summary

Modifier and Type
Method
Description
`static MessagePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessagePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IGNORE

public static final MessagePolicy IGNORE
Does nothing.

### WARN

public static final MessagePolicy WARN
Logs through logging system as a WARNING.

### FAIL

public static final MessagePolicy FAIL
Throws an IOException.

## Method Details

### values

public static MessagePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MessagePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null